{% extends 'base.html' %}
{% load bootstrap5 %}
{% block content %}
{% for group in request.user.groups.all   %}
   {% if group.name == 'User'  %} 

   <h1 class="title-green">Liste des écoles / Reservations </h1>

   <table class="table table-hover">
    <thead>
      <tr>
        <th class="text-color-gradient" scope="col">Nom Ecole</th>
        <th class="text-color-gradient" scope="col">Réserver/Modifier</th>
        <th class="text-color-gradient" scope="col">Annuler</th>
      </tr>
    </thead>
    <tbody>
        {% for fs_key, fs_val in data.items  %}
                <tr>
                    <td>{{fs_val.flight_school.name}}</td>
                    {% if fs_val.is_reservation_made == True %}

                        {% for flight_school_reservation in fs_val.flight_school_reservation %}
                            <td><a class="btn btn-primary" href="{% url 'update-reservation' flight_school_reservation.id %}">Modifier</a></td>
                            <td><a class="btn btn-danger" href="{% url 'delete-reservation' flight_school_reservation.id %}">Annuler</a></td>
                        {% endfor %}
                        
                    {% else %}
                        <td><a class="btn btn-primary" href="{% url 'make-reservation' fs_val.flight_school.id %}">Reserver</a></td>
                        <td></td>
                    {% endif %}
                </tr>
        {% endfor %}
    </tbody>
  </table>

   
   {%endif%}
   {% empty %}
   <h1>Aucun Groupe</h1>
{% endfor %}
{% endblock %}